// DeleteLotInfo.h: interface for the CDeleteLotInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DELETELOTINFO_H__E4B8846A_93B2_40A8_A33F_4A4CA51F23AD__INCLUDED_)
#define AFX_DELETELOTINFO_H__E4B8846A_93B2_40A8_A33F_4A4CA51F23AD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyStringArray.h"

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

class CDeleteLotInfo
{
public:
    CDeleteLotInfo();
    virtual ~CDeleteLotInfo();

//  set database file name
    void SetDbFileName(CMyStringArray csaDbFileName);

//  set table name
    void SetTableName(CMyStringArray csaTableName);

//  set primary key name
    void SetPriKeyName(CMyStringArray csaPriKeyName);

//  set criteria in double data type
    void SetCriteria(double dDateTime);

//  set criteria in COleDateTime Data Type
    void SetCriteria(COleDateTime odtDateTime);

//  delete lot
    void DeleteLot();

private:

//  string array of database file name
    CMyStringArray m_csaDbFileName;

//  string array of table name
    CMyStringArray m_csaTableName;

//  string array of primary key name
    CMyStringArray m_csaPriKeyName;

//  date time criteria
    double m_dDateTime;

    const static float DATE_TIME_NOT_SET;
};

#endif // !defined(AFX_DELETELOTINFO_H__E4B8846A_93B2_40A8_A33F_4A4CA51F23AD__INCLUDED_)
